package openapi.demo;

import com.alibaba.fastjson.JSONObject;
import com.waiqin365.openapi.tools.ProviderHandler;
import com.waiqin365.openapi.tools.WQApiHandler;
import com.waiqin365.openapi.vo.WQOpenApi;
import com.waiqin365.openapi.vo.WQRequest;
import com.waiqin365.openapi.vo.WQResponse;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class TestSample
{
	public static Log log = LogFactory.getLog(TestSample.class);

	// test2
	public static String openid = "8477409196644057335";
	public static String appkey = "hgmK95m5819uZjSPxH";
	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		// 请求OPENAPI接口
		openapi();
		// 查询数据推送接口
		swap();

		//
		String appId = "app1556522148812";
		String appSecret = "6UCgSXUUl5C7vYD64OaXIWK8H35SY1Z5";
		String tenantId = "4802948302940558496";

//		// 获取AccessToken接口
		String ret = ProviderHandler.getAccessToken(appId, appSecret, tenantId);
		System.out.println(ret);
		String accessToken = "2020081048029483029405584968998573768785817860";
		String code = "XXXX";
		// 获取登录用户信息
		ret = ProviderHandler.getLoginUserInfo(accessToken, code);
		System.out.println(ret);
		// 获取JSTicket
		ret = ProviderHandler.getJsTicket(accessToken);
		System.out.println(ret);
		String bizUrl = "http://172.31.3.206:6020/service/oauth/provider/getUserInfo";
		String body = "{\"user_id\":\"5446347408839598521\",\"user_type\":\"1\"}";
		// 调用业务接口
		ret = ProviderHandler.handleBizRequest(bizUrl, accessToken, body);
		System.out.println(ret);

	}
	public static void openapi()
	{
		WQOpenApi wqOpenApi = new WQOpenApi(openid, appkey);
		wqOpenApi.setOpenurl("http://172.31.3.206:6020/api");
		WQRequest request = new WQRequest();
		request.setWqOpenApi(wqOpenApi);
		request.setModule("organization");
		request.setVersion("v1");
		request.setOperation("modifyOrganization");
//
		JSONObject body = new JSONObject();
		body.put("org_id", "ORG001");
		body.put("org_name", "南京掌控网络");
		body.put("org_sequence", 002);

		request.setRequestdata(body.toJSONString());
		try
		{
			WQResponse res = WQApiHandler.handleOpenApi(request);
			log.info(request.getRequestUrl());
			log.info("return_code:" + res.getReturn_code());
			log.info("return_message:" + res.getReturn_msg());
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

	public static void swap()
	{
		String pushOpenid = "[向外勤365申请]";
		String pushAppkey = "[向外勤365申请]";
		WQOpenApi wqOpenApi = new WQOpenApi(pushOpenid, pushAppkey);
		wqOpenApi.setOpenurl("http://172.31.3.206:7010");
		WQRequest request = new WQRequest();
		request.setWqOpenApi(wqOpenApi);
		request.setModule("swap");
		request.setVersion("getfail");
		request.setOperation("dms_purchase");

		request.setRequestdata("");
		try
		{
			WQResponse res = WQApiHandler.handleOpenApi(request);
			System.out.println(request.getRequestUrl());
			System.out.println("return_code:" + res.getReturn_code());
			System.out.println("return_message:" + res.getReturn_msg());
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

}
